# Class MarkerSupportConstants

java.lang.Object
org.eclipse.ui.views.markers.MarkerSupportConstants

public class MarkerSupportConstants extends Object
MarkerSupportConstants is a static class that supplies commonly used constants.

Since:
  3.4

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CONTAINS_KEY`
The constant used to specify the contains value on a `FiltersContributionParameters`
`static String`
`DOES_NOT_CONTAIN_KEY`
The constant used to specify the does not contain value on a `FiltersContributionParameters`

## Constructor Summary

Constructors
Constructor
Description
`MarkerSupportConstants()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CONTAINS_KEY

public static final String CONTAINS_KEY
The constant used to specify the contains value on a `FiltersContributionParameters`

See Also:
  - Constant Field Values

### DOES_NOT_CONTAIN_KEY

public static String DOES_NOT_CONTAIN_KEY
The constant used to specify the does not contain value on a `FiltersContributionParameters`

## Constructor Details

### MarkerSupportConstants

public MarkerSupportConstants()